<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Esercizio #5</title>
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>

<div id="container" class="flex flex-wrap w-1/2 m-10">
  <!-- Inizio card esempio -->
  <!--<div class="w-full md:w-1/2 xl:w-1/3 px-4">
    <div class="bg-white rounded-lg overflow-hidden mb-10 shadow-xl">
      <img
        src="https://img.freepik.com/free-vector/night-ocean-landscape-full-moon-stars-shine_107791-7397.jpg?w=2000"
        alt="image"
        class="w-full"
      />
      <div class="p-8 sm:p-9 md:p-7 xl:p-9 text-center">
        <h3 class="font-semibold text-dark text-xl">
          Titolo di prova
        </h3>
        <p class="text-base text-body-color leading-relaxed mb-7">
          Lorem ipsum dolor sit amet pretium consectetur adipiscing elit.
          Lorem consectetur adipiscing elit.
        </p>
      </div>
    </div>
  </div>
   Fine card esempio -->

  <script>
    const arrayOgg=[
      {
        urlImage:"https://images.unsplash.com/photo-1683220642973-a4d0ca134714?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxlZGl0b3JpYWwtZmVlZHwzfHx8ZW58MHx8fHw%3D&auto=format&fit=crop&w=600&q=60",
        titolo:"una carta bella",
      testo:" Lorem ipsum dolor sit amet pretium consectetur adipiscing elit.\n" +
        "          Lorem consectetur adipiscing elit."
      },
      {
      urlImage:"https://images.unsplash.com/photo-1682687220305-ce8a9ab237b1?ixlib=rb-4.0.3&ixid=MnwxMjA3fDF8MHxlZGl0b3JpYWwtZmVlZHwxNnx8fGVufDB8fHx8&auto=format&fit=crop&w=600&q=60",
      titolo:"una carta bella come ali",
      testo:" Lorem ipsum dolor sit amet pretium consectetur adipiscing elit.\n" +
    "          Lorem consectetur adipiscing elit."

    },
    {
    urlImage:"https://images.unsplash.com/photo-1683384162000-f563d6501fd0?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxlZGl0b3JpYWwtZmVlZHwzOHx8fGVufDB8fHx8&auto=format&fit=crop&w=600&q=60",
      titolo:"una carta brutta fra",
      testo:" Lorem ipsum dolor sit amet pretium consectetur adipiscing elit."
    },
      {
        urlImage:"https://images.unsplash.com/photo-1683384162000-f563d6501fd0?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxlZGl0b3JpYWwtZmVlZHwzOHx8fGVufDB8fHx8&auto=format&fit=crop&w=600&q=60",
        titolo:"una carta brutta fra",
        testo:" Lorem ipsum dolor sit amet pretium consectetur adipiscing elit."
      },
    ]

    arrayOgg.forEach((elemento)=>{
      creaCarte(elemento)
    })
    function creaCarte(elemento){
      const contenitore=document.createElement("div");
      contenitore.className="w-full md:w-1/2 xl:w-1/3 px-4"

      const contenitore2=document.createElement("div")
      contenitore2.className="bg-white rounded-lg overflow-hidden mb-10 shadow-xl"
      contenitore.appendChild(contenitore2)

      const image=document.createElement("img")
      image.className="w-full"
      image.src=elemento.urlImage;
      contenitore2.appendChild(image)

      const titoloBoxe=document.createElement("div")
      titoloBoxe.className="p-8 sm:p-9 md:p-7 xl:p-9 text-center"
      contenitore2.appendChild(titoloBoxe)

      const titolo=document.createElement("h2")
      titolo.className="font-semibold text-dark text-xl"
      titolo.appendChild(document.createTextNode(elemento.titolo))
      titoloBoxe.appendChild(titolo)

      const descrizione=document.createElement("p")
      descrizione.className="text-base text-body-color leading-relaxed mb-7"
      descrizione.appendChild(document.createTextNode(elemento.testo))
      titoloBoxe.appendChild(descrizione)
      document.getElementById("container").appendChild(contenitore)
    }

  </script>
</div>
</body>
</html>
